Subject: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Boruch Baum <[email-masked]>
Date: Wed, 28 Apr 2021 11:16:33 -0400

[Continued]

2.3) Though what we're considering is how undesirable it would be to
     restrict a user from using shell built-ins, what I feel would be
     much more useful and natural for users would be to be enable them
     to use their personal shell aliases and functions. Under the
     current dired implementation this is impossible. In diredc, it is
     possible for persistent asynchronous commands (the default for '&')
     because diredc opens an interactive shell buffer and uses function
     comint-send-input instead of using emacs shell-* commands. This
     would be an argument for me not to perform the constraint check as
     currently written because function executable-find wouldn't find
     them.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0